import type { IconProps } from 'll-plus/es/components';
import type { ExtractPropTypes } from 'vue';
import type SecondConfirmation from './second-confirmation.vue';
export declare const secondConfirmationProps: {
    readonly open: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly title: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "温馨提示", boolean>;
    readonly message: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "你有未保存的更改，确定关闭？", boolean>;
    readonly confirmText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "确定", boolean>;
    readonly cancelText: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "取消", boolean>;
    readonly icon: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<IconProps>, unknown, unknown, () => {}, boolean>;
    readonly loading: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly onConfirm: FunctionConstructor;
    readonly onCancel: FunctionConstructor;
};
export type SecondConfirmationProps = ExtractPropTypes<typeof secondConfirmationProps>;
export type SecondConfirmationInstance = InstanceType<typeof SecondConfirmation>;
